Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2623)

Issue 22831039: Add unpremultiply support and GM (Closed)

Created:
6 years ago by ducky
Modified:
6 years ago
CC:
skia-review_googlegroups.com
Visibility:
Public.

Description

Add unpremultiply support and GM Committed: http://code.google.com/p/skia/source/detail?r=10901

Patch Set 1 : #

Patch Set 2 : Fix 8888 case #

Total comments: 34

Patch Set 3 : Review fixes and rebase from refactor #

Unified diffs Side-by-side diffs Delta from patch set Stats (+303 lines, -4 lines) Patch
A gm/bitmappremul.cpp View 1 2 1 chunk +131 lines, -0 lines 0 comments Download
M gyp/gmslides.gypi View 1 chunk +1 line, -0 lines 0 comments Download
M src/pdf/SkPDFImage.cpp View 1 2 3 chunks +171 lines, -4 lines 0 comments Download

Messages

Total messages: 9 (0 generated)
ducky
Unpremultiply for PDF export with filtering to remove bitmap sampling artifacts in rendering.
6 years ago (2013-08-22 21:52:43 UTC) #1
vandebo (ex-Chrome)
https://codereview.chromium.org/22831039/diff/6002/gm/bitmappremul.cpp File gm/bitmappremul.cpp (right): https://codereview.chromium.org/22831039/diff/6002/gm/bitmappremul.cpp#newcode106 gm/bitmappremul.cpp:106: this->setBGColor(0xFFFFFFFF); SK_ColorWhite https://codereview.chromium.org/22831039/diff/6002/gm/bitmappremul.cpp#newcode115 gm/bitmappremul.cpp:115: return SkISize::Make(512, 512); SLIDE_SIZE * ...
6 years ago (2013-08-23 06:16:11 UTC) #2
ducky
Fixed. https://codereview.chromium.org/22831039/diff/6002/gm/bitmappremul.cpp File gm/bitmappremul.cpp (right): https://codereview.chromium.org/22831039/diff/6002/gm/bitmappremul.cpp#newcode106 gm/bitmappremul.cpp:106: this->setBGColor(0xFFFFFFFF); On 2013/08/23 06:16:11, vandebo wrote: > SK_ColorWhite ...
6 years ago (2013-08-23 08:06:10 UTC) #3
vandebo (ex-Chrome)
https://codereview.chromium.org/22831039/diff/6002/src/pdf/SkPDFImage.cpp File src/pdf/SkPDFImage.cpp (right): https://codereview.chromium.org/22831039/diff/6002/src/pdf/SkPDFImage.cpp#newcode390 src/pdf/SkPDFImage.cpp:390: uint8_t alpha = SkGetPackedA4444(src); On 2013/08/23 08:06:11, ducky wrote: ...
6 years ago (2013-08-23 16:09:17 UTC) #4
ducky
Fixed. I think I also accidentally a patchset... https://codereview.chromium.org/22831039/diff/6002/src/pdf/SkPDFImage.cpp File src/pdf/SkPDFImage.cpp (right): https://codereview.chromium.org/22831039/diff/6002/src/pdf/SkPDFImage.cpp#newcode390 src/pdf/SkPDFImage.cpp:390: uint8_t ...
6 years ago (2013-08-23 18:49:16 UTC) #5
vandebo (ex-Chrome)
LGTM
6 years ago (2013-08-23 18:54:34 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://skia-tree-status.appspot.com/cq/richardlin@chromium.org/22831039/29001
6 years ago (2013-08-23 21:34:10 UTC) #7
commit-bot: I haz the power
Change committed as 10901
6 years ago (2013-08-23 21:43:08 UTC) #8
robertphillips
6 years ago (2013-08-25 11:21:22 UTC) #9
Message was sent while issue was closed.
This was reverted in r10909

Powered by Google App Engine
This is Rietveld 408576698